# frozen_string_literal: true

module Types
  module Vulnerability
    class ExternalIssueLinkTypeEnum < BaseEnum
      graphql_name 'VulnerabilityExternalIssueLinkType'
      description 'The type of the external issue link related to a vulnerability'

      ::Vulnerabilities::ExternalIssueLink.link_types.keys.each do |link_type|
        value link_type.to_s.upcase, value: link_type.to_s, description: "#{link_type.titleize} link type"
      end
    end
  end
end
